VirtualBox Plugin for unRAID v5 and v6


theone

778 posts in this topic Last Reply

Recommended Posts

  • 4 weeks later...
  • Replies 777
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

Hello,   I am proud to present: VirtualBox plugin for unRAID v5 and v6   The plugin installs both VirtualBox package and the VirtualBox Extension package (it does not ins

Looks like issue with 5.1.20 extension pack.  I see a brief question something like do I agree to these terms or whatever with a y/n? along the bottom of the GUI before a message saying install failed

Posted Images

I uploaded Latest Virtualbox 5.1.0 compiled packages for unRAID version 6.1.9 (kernel 4.1.18) and unRAID 6.2 rc2 (kernel 4.4.15)

 

Please notice - It seems latest phpvirtualbox 5.0.5 is not compatible with Virtualbox 5.1

 

Link to post

Has anyone successfully passed through a USB device using the new 5.1 version?

 

I tried unsuccessfully to path through my Zwave stick and it didnt get recognized in my Windows VM.

 

I went back to version 5.0.24 and it works fine.

Link to post
  • 1 month later...

If this plugin is still maintained, I would like to request the ability to specify which version to be installed and install that version vs. always pulling the latest.

 

...or at least let the plugin install local version if installed version is different without forcing to download latest.

 

...for those that got forced into updating to 5.1.2 by the plugin and had the phpvirtualbox 5.0.5 no longer work, you can bypass the phpvirtualbox version check by editing the endpoints/api.php file:

// $response['data']['responseData']['phpvboxver'] = @constant('PHPVBOX_VER');
$response['data']['responseData']['phpvboxver'] = "5.1-0";

source

Link to post

I am still maintaining the plugin - mostly new VirtualBox compilations.

 

I currently don't have timoe to modify the plugin - I have already thought of doing what you requested - When I have the time...

Sorry

Ok, thanks for responding.  It's a great plugin, hate to see it die.

 

Sent from my ASUS_Z00AD using Tapatalk

 

 

Link to post
  • 2 weeks later...
  • 3 weeks later...

I uploaded Latest Virtualbox 5.1.6 compiled package for unRAID version 6.2 (kernel 4.4.19)

Thanks! Also thanks for this notice in the plugin:

Note: Do not upgrade unRAID if it uses a newer kernel version, unless you make sure that there exists a matching compiled VirtualBox package for this kernel version at http://vbox.a1aina.com/.

Though that site confused me because i mistook the kernel versions for (really old..) Unraid versions.

Also https://github.com/theone11/virtualbox_plugin hasn't been updated for a while, so i had the impression this was being abandoned until i found your post here. :D

 

Just to be sure - I must admit i have not read the entire thread, but is it safe to say this VirtualBox plugin "just works" when updating to Unraid 6.2 with existing VMs?

 

PS. At first i was looking for something like "Fixed unRAID v6.2 compatibility" in the plugin changelog.. which is where i naively expected this info.

Link to post

is it safe to say this VirtualBox plugin "just works" when updating to Unraid 6.2 with existing VMs?

I was at 6.1.9 and I didn't read the warning. I updated VBox via the plugin and it broke. Then I updated Unraid to 6.2 and everything was good again. No guarantees but I think the answer to your question is "yes."

Link to post
  • 2 weeks later...

I uploaded latest Virtualbox 5.1.8 compiled package for:

 

* unRAID version 6.2.1 (kernel 4.4.23)

* unRAID version 6.3.0 RC1 (kernel 4.7.6)

 

added:

 

* unRAID version 6.2.2 (kernel 4.4.26)

* unRAID version 6.3.0 RC3 (kernel 4.8.4)

 

Link to post
  • 3 weeks later...

My VMs don't seem to be able to survive a reboot, apparently because all the configuration details are going into /root/VirtualBox\ VMs/ and not /root/.VirtualBox, which has a configurable symlink. What am I missing?

 

EDIT: Oh wait! Stop vboxwebsrv and edit /root/.VirtualBox/VirtualBox.xml

Link to post

Totally new to this post and I'm struggling with steps. How would I go about installing phpVirtualBox after the plugin has been installed?

 

If there is a post with step by step instructions?

 

I'm struggling and I'd be over the moon to run some of my existing virtual appliances through here since I can't run them inside a Unraid VM because the Network Adapter can't be bridged.

 

Again any pointers in the right direction would helpful.

 

Thanks

Link to post

Thanks, I installed Apache Plugin as you said and then extracted phpvirtualbox to the documentroot.

 

I got to the link but it asks me for a user name and pass. The default config has (user: vbox )(pass: pass). It doesn't like that.

 

Which user to I login to on the phpvirtualbox side?

Do I have to create the users on the VirtualBox plugin side?

 

Please let me know and thanks

Link to post

Thanks, I installed Apache Plugin as you said and then extracted phpvirtualbox to the documentroot.

 

I got to the link but it asks me for a user name and pass. The default config has (user: vbox )(pass: pass). It doesn't like that.

 

Which user to I login to on the phpvirtualbox side?

Do I have to create the users on the VirtualBox plugin side?

 

Please let me know and thanks

 

Edit the config.php file in the phpvirtualbox folder and remove the "#" from line:

var $noAuth = true;

 

Link to post

I got a popup that said the following:

 

This version of phpVirtualBox (5.0-5) is incompatible with VirtualBox 5.1.8. You probably need to download the latest phpVirtualBox 5.1-x.

 

See the Versioning section below the file list in the link for more information

 

Is this something I should worry about? The version not being compatible? Just want to be on the safe side and again thanks so much for the prompt reply.

Link to post

I got a popup that said the following:

 

This version of phpVirtualBox (5.0-5) is incompatible with VirtualBox 5.1.8. You probably need to download the latest phpVirtualBox 5.1-x.

 

See the Versioning section below the file list in the link for more information

 

Is this something I should worry about? The version not being compatible? Just want to be on the safe side and again thanks so much for the prompt reply.

 

It should be fine but you can overcome this by:

http://lime-technology.com/forum/index.php?topic=25715.msg494910#msg494910

 

Link to post

I tried running one of the virtual machines and it appears to not run because of the following error:

 

VT-x is being used by another hypervisor (VERR_VMX_IN_VMX_ROOT_MODE). VirtualBox can't operate in VMX root mode. Please disable the KVM kernel extension, recompile your kernel and reboot (VERR_VMX_IN_VMX_ROOT_MODE)

 

Does this mean that I can only run Virtualbox VM when none of the KVM of Unraid are running? Is there a way to fix and let them share resources? Just figuring things out.

 

Also I tried disabling the VT-X and AMD-V on the machine and it won't start. It's hung. When I try to remove the machine I get this error:

 

VirtualBox error: rc=0x80bb0007 Cannot unregister the machine 'Ubuntu Server One' while it is locked (0x80bb0007)

 

Thanks

Link to post

Came to realize that the VirtualBox plugin does work as intended. However it will not run any Virtualbox VM if there are Unraid KVM running. It seems they can't share VT-X.

 

Is there a way to make a Virtualbox VM and an Unraid VM run at the same time?

 

Thanks

No.
Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.